Release Information

Name: BlockWatch
Version: 1.0.0.42
Publisher: Security Objectives

System Requirements:

  • Visual C++ 2010 Runtime Libraries (x86)
  • Microsoft .NET Framework 4 Client Profile (x86 and x64)
  • Download and install both of these components with our setup package

First Time Users

Register for BlockWatch

Registered Users

Once you have registered for BlockWatch, received your password, and ensured you have the most recent versions of the required components installed on your system, you can launch BlockWatch

Documentation: